//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

// Load dts shapes and merge animations
datablock TSShapeConstructor(BulletkinDts)
{
	baseShape  = "./Bulletkin.dts";
	sequence0  = "./bk_root.dsq root";

	sequence1  = "./bk_walk.dsq run";
	sequence2  = "./bk_walk.dsq walk";
	sequence3  = "./bk_back.dsq back";
	sequence4  = "./bk_walk.dsq side";

	sequence5  = "./bk_crouch.dsq crouch";
	sequence6  = "./bk_crouchrun.dsq crouchRun";
	sequence7  = "./bk_crouchrun.dsq crouchBack";
	sequence8  = "./bk_crouchrun.dsq crouchSide";

	sequence9  = "./bk_look.dsq look";
	sequence10 = "./bk_root.dsq headside";
	sequence11 = "./bk_root.dsq headUp";

	sequence12 = "./bk_jump.dsq jump";
	sequence13 = "./bk_jump.dsq standjump";
	sequence14 = "./bk_root.dsq fall";
	sequence15 = "./bk_root.dsq land";

	sequence16 = "./bk_armAttack.dsq armAttack";
	sequence17 = "./bk_armReadyLeft.dsq armReadyLeft";
	sequence18 = "./bk_armReadyRight.dsq armReadyRight";
	sequence19 = "./bk_armReadyBoth.dsq armReadyBoth";
	sequence20 = "./bk_spearready.dsq spearready";  
	sequence21 = "./bk_spearThrow.dsq spearThrow";

	sequence22 = "./bk_talk.dsq talk";  

	sequence23 = "./bk_death1.dsq death1"; 
	
	sequence24 = "./bk_root.dsq shiftUp";
	sequence25 = "./bk_root.dsq shiftDown";
	sequence26 = "./bk_shiftAway.dsq shiftAway";
	sequence27 = "./bk_root.dsq shiftTo";
	sequence28 = "./bk_root.dsq shiftLeft";
	sequence29 = "./bk_root.dsq shiftRight";
	sequence30 = "./bk_root.dsq rotCW";
	sequence31 = "./bk_root.dsq rotCCW";

	sequence32 = "./bk_root.dsq undo";
	sequence33 = "./bk_plant.dsq plant";

	sequence34 = "./bk_sit.dsq sit";

	sequence35 = "./bk_shiftAway.dsq wrench";

   sequence36 = "./bk_activate.dsq activate";
   sequence37 = "./bk_activate2.dsq activate2";

   sequence38 = "./bk_leftrecoil.dsq leftrecoil";
};    

datablock PlayerData(GungeonBulletkinArmor : PlayerStandardArmor)
{
   shapeFile = "./Bulletkin.dts";
	uiName = "Gungeon Bulletkin";
	canJet = 0;
      maxTools = "8";
      maxWeapons = "8";
};